## debhelper 4.0.2

=== debian/changelog ===
debhelper (4.0.2) unstable; urgency=low

  * dh_install: delay globbing until after destintations have been found.
    Closes: #143234

 -- Joey Hess <joeyh@debian.org>  Tue, 16 Apr 2002 21:25:32 -0400

debhelper (4.0.1) unstable; urgency=low

  * dh_installdebconf: allow parameters after -- to go to
    debconf-mergetemplate.
  * dh_installman: don't whine about zero-length man pages in .so conversion.
  * Forgot to export filedoublearray, Closes: #142784

 -- Joey Hess <joeyh@debian.org>  Fri, 12 Apr 2002 23:22:15 -0400

debhelper (4.0.0) unstable; urgency=low

  * dh_movefiles has long been a sore point in debhelper. Inherited
    from debstd, its interface and implementation suck, and I have maintained
    it while never really deigning to use it. Now there is a remplacment:
    dh_install, which ...
    - copies files, doesn't move them. Closes: #75360, #82649
    - doesn't have that whole annoying debian/package.files vs. debian/files
      mess, as it uses debian/install.
    - supports copying empty subdirs. Closes: #133037
    - doesn't use tar, thus no error reproting problems. Closes: #112538
    - files are listed relative to the pwd, debian/tmp need not be used at
      all, so no globbing issues. Closes: #100404
    - supports -X. Closes: #116902
    - the whole concept of moving files out of a directory is gone, so this
      bug doesn't really apply. Closes: #120026
    - This is exactly what Bill Allombert asked for in #117383, even though I
      designed it seemingly independantly. Thank you Bill! Closes: #117383
  * Made debhelper's debian/rules a lot simpler by means of the above.
  * Updated example rules file to use dh_install. Also some reordering and
    other minor changes.
  * dh_movefiles is lightly deprecated, and when you run into its bugs and
    bad design, you are incouraged to just use dh_install instead.
  * dh_fixperms: in v4 only, make all files in bin/ dirs +x. Closes: #119039
  * dh_fixperms: in v4 only, make all files in etc/init.d executable (of
    course there's -X ..)    
  * dh_link: in v4 only, finds existing, non-policy-conformant symlinks
    and corrects them. This has the side effect of making dh_link idempotent.
  * Added a -h/--help option. This seems very obvious, but it never occured to
    me before..
  * use v4 for building debhelper itself
  * v4 mode is done, you may now use it without fear of it changing.
    (This idea of this upload is to get v4 into woody so people won't run into
    many issues backporting from sarge to woody later on. Packages targeted
    for woody should continue to use whatever compatability level they are
    using.)

 -- Joey Hess <joeyh@debian.org>  Tue, 11 Apr 2002 17:28:57 -0400

debhelper (3.4.14) unstable; urgency=low

  * Fixed an uninitialized value warning, Closes: #141729

 -- Joey Hess <joeyh@debian.org>  Mon,  8 Apr 2002 11:45:02 -0400

debhelper (3.4.13) unstable; urgency=low

  * Typo, Closes: #139176
  * Fixed dh_md5sums conffile excluding/including.

 -- Joey Hess <joeyh@debian.org>  Wed, 20 Mar 2002 11:25:36 -0500

debhelper (3.4.12) unstable; urgency=low

  * Fix to #99169 was accidentually reverted in 3.0.42; reinstated.

 -- Joey Hess <joeyh@debian.org>  Sat, 16 Mar 2002 23:31:46 -0500

debhelper (3.4.11) unstable; urgency=low

  * Fixed dh_installdocs and dh_installexamples to support multiple -X's.

 -- Joey Hess <joeyh@debian.org>  Thu, 28 Feb 2002 13:02:35 -0500

debhelper (3.4.10) unstable; urgency=low

  * Fixed dh_movefiles. Closes: #135479, #135459

 -- Joey Hess <joeyh@debian.org>  Sun, 24 Feb 2002 12:25:32 -0500

debhelper (3.4.9) unstable; urgency=low

  * dh_movefiles: Allow for deeper --sourcedir. Closes: #131363

 -- Joey Hess <joeyh@debian.org>  Wed, 20 Feb 2002 16:37:43 -0500

debhelper (3.4.8) unstable; urgency=low

  * Thanks to Benjamin Drieu <benj@debian.org>, dh_installdocs -X now works.
    I had to modify his patch to use cp --parents, since -P spews warnings
    now. Also, I made it continue to use cp -a if nothing is excluded,
    which is both faster, and means this patch is less likely to break
    anything if it turns out to be buggy. Also, stylistic changes.
    Closes: #40649
  * Implemented -X for dh_installexamples as well.
  * dh_clean -X substvars will also work now. Closes: #66890

 -- Joey Hess <joeyh@debian.org>  Sun, 17 Feb 2002 12:26:37 -0500

debhelper (3.4.7) unstable; urgency=low

  * dh_perl: don't gripe if there is no substvar file. Closes: #133140

 -- Joey Hess <joeyh@debian.org>  Sat,  9 Feb 2002 17:37:32 -0500

debhelper (3.4.6) unstable; urgency=low

  * Typo, Closes: #132454
  * Ignore leading/trailing whitespace in DH_OPTIONS, Closes: #132645

 -- Joey Hess <joeyh@debian.org>  Tue,  5 Feb 2002 17:33:57 -0500

debhelper (3.4.5) unstable; urgency=low

  * dh_installxfonts: separate multiple commands with \n so sed doesn't get
    upset. Closes: #131322

 -- Joey Hess <joey@kitenet.net>  Tue, 29 Jan 2002 18:58:58 -0500

debhelper (3.4.4) unstable; urgency=low

  * Introduced the debian/compat file. This is the new, preferred way to say
    what debhelper compatability level your package uses. It has the big
    advantage of being available to debhelper when you run it at the command
    line, as well as in debian/rules.
  * A new v4 feature: dh_installinit, in v4 mode, will use invoke-rc.d.
    This is in v4 for testing, but I may well roll it back into v3 (and
    earlier) once woody is released and I don't have to worry about breaking
    things (and, presumably, once invoke-rc.d enters policy).
  * Some debhelper commands will now build up a new substvars variable,
    ${misc:Depends}, based on things they know your package needs to depend
    on. For example, dh_installinit in v4 mode adds sysvinit (>= 2.80-1) to
    that dep list, and dh_installxfonts adds a dep on xutils. This variable
    should make it easier to keep track of what your package needs to depends

