=== debian/control ===
Source: debhelper
Section: devel
Priority: optional
Maintainer: Joey Hess <joeyh@debian.org>
Build-Depends-Indep: perl (>= 5.6.1), fileutils (>= 4.0-2.1), file (>= 3.23-1), debconf-utils
Standards-Version: 3.5.6.1

Package: debhelper
Architecture: all
Depends: ${perl:Depends}, fileutils (>= 4.0-2.1), file (>= 3.23-1), dpkg-dev (>= 1.7.0), html2text, debconf-utils, binutils
Suggests: dh-make
Description: helper programs for debian/rules
 A collection of programs that can be used in a debian/rules file to
 automate common tasks related to building debian packages. Programs
 are included to install various files into your package, compress 
 files, fix file permissions, integrate your package with the debian 
 menu system, suidmanager, doc-base, etc. Most debian packages use
 debhelper as part of their build process.
