## debhelper 4.1.90

=== debian/changelog ===
debhelper (4.1.90) unstable; urgency=low

  * dh_strip: Add note to man page that the detached debugging symbols options
    mean the package must build-depend on a new enough version of binutils.
    Closes: #231382
  * dh_installdebconf: The debconf dependency has changed to include 
    "| debconf-2.0". Closes: #230622

 -- Joey Hess <joeyh@debian.org>  Sat,  7 Feb 2004 15:10:10 -0500

debhelper (4.1.89) unstable; urgency=low

  * dh_scrollkeeper: Make postinst /dev/null stdout of which test.

 -- Joey Hess <joeyh@debian.org>  Fri, 23 Jan 2004 16:00:21 -0500

debhelper (4.1.88) unstable; urgency=low

  * dh_strip: Fix a unquoted string in regexp in the dbg symbols code.
    Closes: #228272

 -- Joey Hess <joeyh@debian.org>  Sat, 17 Jan 2004 20:13:32 -0500

debhelper (4.1.87) unstable; urgency=low

  * dh_gconf: Add proper parens around the package version in the misc:Depends
    setting.

 -- Joey Hess <joeyh@debian.org>  Fri, 16 Jan 2004 12:53:43 -0500

debhelper (4.1.86) unstable; urgency=low

  * dh_gconf: Fix man page typos, thanks Ruben Porras. Closes: #228076
  * dh_gconf: Spanish man page from Ruben Porras. Closes: #228075

 -- Joey Hess <joeyh@debian.org>  Fri, 16 Jan 2004 12:43:58 -0500

debhelper (4.1.85) unstable; urgency=low

  * dh_install: add missing parens to the $installed regexp. Closes: #227963
  * dh_install: improve wording of --list-missing messages

 -- Joey Hess <joeyh@debian.org>  Thu, 15 Jan 2004 22:45:42 -0500

debhelper (4.1.84) unstable; urgency=low

  * Added dh_gconf command from Ross Burton. Closes: #180882
  * dh_scrollkeeper: Make postinst fragment test for scrollkeeper-update.
    Closes: #225337
  * Copyright update.
  * Include full text of the GPL in the source package, because goodness
    knows, I need another copy of that in subversion..

 -- Joey Hess <joeyh@debian.org>  Sun, 11 Jan 2004 14:14:15 -0500

debhelper (4.1.83) unstable; urgency=low

  * Clarify dh_install's autodest behavior with wildcards. Closes: #224707

 -- Joey Hess <joeyh@debian.org>  Sun, 21 Dec 2003 12:18:37 -0500

debhelper (4.1.82) unstable; urgency=low

  * Add remove guard to prerm-info. Closes: #223617
  * Remove #INITPARMS# from call to update-rc.d in postrm-init. Closes: #224090

 -- Joey Hess <joeyh@debian.org>  Tue, 16 Dec 2003 16:33:19 -0500

debhelper (4.1.81) unstable; urgency=low

  * Removed the no upstream changelog for debian packages test.
    Even though it has personally saved me many times, debhelper is not
    intended to check packages for mistakes, and apparently it makes sense
    for some "native" packages to have a non-Debian changelog.
    Closes: #216099
  * If a native package has an upstream changelog, call the debian/changelog
    changelog.Debian.
  * postinst-menu-method: always chmod menu-method executable even if
    update-menus is not. Closes: #220576
  * dh_installmenu: do not ship menu-methods executable.

 -- Joey Hess <joeyh@debian.org>  Sun, 30 Nov 2003 13:16:14 -0500

debhelper (4.1.80) unstable; urgency=low

  * Add the Spanish manpages I missed last time. Closes: #218718
  * dh_installman: support compressed man pages when finding .so links.
    Closes: #218136

 -- Joey Hess <joeyh@debian.org>  Thu,  6 Nov 2003 16:15:23 -0500

debhelper (4.1.79) unstable; urgency=low

  * dh_strip: typo. Closes: #218745
  * Updated Spanish man page translations for:
    debhelper dh_installcron dh_installinit dh_installlogrotate dh_installman
    dh_installmodules dh_installpam dh_install dh_movefiles dh_strip
    Closes: #218718

 -- Joey Hess <joeyh@debian.org>  Sun,  2 Nov 2003 15:26:07 -0500

debhelper (4.1.78) unstable; urgency=low

  * dh_installcatalogs: Fixed to create dir in tmpdir. Closes: #218237

 -- Joey Hess <joeyh@debian.org>  Sun,  2 Nov 2003 15:26:02 -0500

debhelper (4.1.77) unstable; urgency=low

  * Remove the "L" from reference to menufile(5). Closes: #216042

 -- Joey Hess <joeyh@debian.org>  Thu, 16 Oct 2003 13:33:12 -0400

debhelper (4.1.76) unstable; urgency=low

  * Patch from Andrew Suffield <asuffield@debian.org> to make dh_strip
    support saving the debugging symbols with a --keep-debug flag and
    dh_shlibdeps skip /usr/lib/debug. Thanks! Closes: #215670
  * Add --dbg-package flag to dh_strip, to list packages that have associated
    -dbg packages. dh_strip will then move the debug symbols over to the
    associated -dbg packages.

 -- Joey Hess <joeyh@debian.org>  Tue, 14 Oct 2003 14:18:06 -0400

debhelper (4.1.75) unstable; urgency=low

  * dh_install: add --fail-missing option. Closes: #120026
  * Fix mispelling in prerm-sgmlcatalog. Closes: #215189

 -- Joey Hess <joeyh@debian.org>  Fri, 10 Oct 2003 22:12:59 -0400

debhelper (4.1.74) unstable; urgency=low

  * Only list dh_installman once in example rules.indep. Closes: #211567
  * Really fix the prerm-sgmlcatalog, not the postrm. Closes: #209131

 -- Joey Hess <joeyh@debian.org>  Sun, 21 Sep 2003 18:56:54 -0400

debhelper (4.1.73) unstable; urgency=low

  * dh_installcatalogs: in prerm on upgrade, call update-catalog on the
    advice of Adam DiCarlo. Closes: #209131

 -- Joey Hess <joeyh@debian.org>  Sun,  7 Sep 2003 21:43:31 -0400

debhelper (4.1.72) unstable; urgency=low

  * Switch from build-depends-indep to just build-depends.
  * dh_installman: match .so links with whitespace after the filename
    Closes: #208753

 -- Joey Hess <joeyh@debian.org>  Fri,  5 Sep 2003 13:59:12 -0400

debhelper (4.1.71) unstable; urgency=low

  * Typo. Closes: #207999
  * Typo, typo. Closes: #208171 :-)

 -- Joey Hess <joeyh@debian.org>  Mon,  1 Sep 2003 08:24:13 -0400

debhelper (4.1.70) unstable; urgency=low

  * Complete Spanish translation of all man pages thanks to Rubn Porras
    Campo, Rudy Godoy, and the rest of the Spanish translation team.
    Closes: #199261

 -- Joey Hess <joeyh@debian.org>  Mon, 25 Aug 2003 19:45:45 -0400

debhelper (4.1.69) unstable; urgency=low

  * dh_installppp: correct filenames on man page. Closes: #206893

