## debhelper 4.2.5

=== debian/changelog ===
debhelper (4.2.5) unstable; urgency=low

  * Spanish man page updates by Ruben Possas and Rudy Godoy.

 -- Joey Hess <joeyh@debian.org>  Wed, 24 Mar 2004 15:08:54 -0500

debhelper (4.2.4) unstable; urgency=low

  * dh_installdocs: ignore .EX files as produced by dh-make.
  * dh_movefiles: if the file cannot be found, do not go ahead and try
    to move it anyway, as this can produce unpredictable behavor with globs
    passed in from the shell. See bug #234105

 -- Joey Hess <joeyh@debian.org>  Fri, 20 Feb 2004 10:43:33 -0500

debhelper (4.2.3) unstable; urgency=low

  * dh_movefiles: use xargs -0 to safely remove files with whitespace,
    etc. Patch from Yann Dirson. Closes: #233226

 -- Joey Hess <joeyh@debian.org>  Wed, 18 Feb 2004 18:57:05 -0500

debhelper (4.2.2) unstable; urgency=low

  * dh_shlibdeps: Turn on for udebs. It's often wrong (and ignored by d-i),
    but occasionally right and necessary.

 -- Joey Hess <joeyh@debian.org>  Thu, 12 Feb 2004 13:36:29 -0500

debhelper (4.2.1) unstable; urgency=low

  * dh_installxfonts(1): fix link to policy. Closes: #231918
  * dh_scrollkeeper: patch from Christian Marillat Closes: #231703
    - Remove DTD changes since docbook-xml not supports xml catalogs.
    - Bump scrollkeeper dep to 0.3.14-5.
  * dh_installinfo: remove info stuff on update as well as remove.
    Policy is unclear/wrong. Closes: #231937a

 -- Joey Hess <joeyh@debian.org>  Mon,  9 Feb 2004 18:20:40 -0500

debhelper (4.2.0) unstable; urgency=low

  * Added udeb support, as pioneered by di-packages-build. Understands
    "XC-Package-Type: udeb" in debian/control. See debhelper(1) for
    details.
  * Dh_Lib: add and export is_udeb and udeb_filename
  * dh_builddeb: name udebs with proper extension
  * dh_gencontrol: pass -n and filename to dpkg-gencontrol
  * dh_installdocs, dh_makeshlibs, dh_md5sums, dh_installchangelogs,
    dh_installexamples, dh_installman, dh_installmanpages: skip udebs
  * dh_shlibdeps: skip udebs. This may be temporary.
  * dh_installdeb: do not process conffiles, shlibs, preinsts, postrms,
    or prerms for udebs. Do not substiture #DEBHELPER# tokens in
    postinst scripts for udebs.
  * dh_installdebconf: skip config script for udebs, still do templates

 -- Joey Hess <joeyh@debian.org>  Sun,  8 Feb 2004 22:51:57 -0500
