## debhelper 4.2.11ubuntu2

=== debian/changelog ===
debhelper (4.2.11ubuntu2) warty; urgency=low

  * dh_scrollkeeper: don't display the output (Warty #336).

 -- Sebastien Bacher <seb128@debian.org>  Wed, 28 Jul 2004 00:46:22 +0200

debhelper (4.2.11ubuntu1) warty; urgency=low
  
  * dh_gconf: send a sighup signal to gconfd-2 after the installation to get
    the new schemas immediatly available.

 -- Sebastien Bacher <seb128@debian.org>  Fri, 23 Jul 2004 19:36:38 +0200

debhelper (4.2.11) unstable; urgency=low

  * dh_installmodules: Look for .ko files too. Closes: #248624
  * dh_fixperms: fix permissions of .h files. Closes: #252492

 -- Joey Hess <joeyh@debian.org>  Thu, 13 May 2004 11:25:42 -0300

debhelper (4.2.10) unstable; urgency=low

  * dh_strip: if an .a file is not a binary file, do not try to strip it.
    This deals with linker scripts used on the Hurd. Closes: #246366

 -- Joey Hess <joeyh@debian.org>  Wed, 28 Apr 2004 14:36:39 -0400

debhelper (4.2.9) unstable; urgency=low

  * dh_installinfo: escape '&' characters in INFO-DIR-SECTION when calling
    sed. Also support \1 etc for completeness. Closes: #246301

 -- Joey Hess <joeyh@debian.org>  Wed, 28 Apr 2004 14:06:16 -0400

debhelper (4.2.8) unstable; urgency=low

  * Spanish translation of dh_installppp from Ruben Porras. Closes: #240844
  * dh_fixperms: Make executable files in /usr/games. Closes: #243404

 -- Joey Hess <joeyh@debian.org>  Mon, 12 Apr 2004 18:31:18 -0400

debhelper (4.2.7) unstable; urgency=low

  * Add support for cron.hourly. Closes: #240733

 -- Joey Hess <joeyh@debian.org>  Sun, 28 Mar 2004 22:14:42 -0500

debhelper (4.2.6) unstable; urgency=low

  * Bump dh_strip's recommended bintuils dep to current. Closes: #237304

 -- Joey Hess <joeyh@debian.org>  Sat, 27 Mar 2004 20:04:19 -0500
