## debhelper 4.2.28ubuntu4

=== debian/changelog ===
debhelper (4.2.28ubuntu4) hoary; urgency=low

  * Split out a package_arch and export it in Dh_Lib (taken from 4.2.31).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Feb 2005 22:46:55 +0000

debhelper (4.2.28ubuntu3) hoary; urgency=low

  * dh_builddeb: now use pkgstriptranslations instead of debstriptranslations
    (the package was renamed due to debranding)

 -- Martin Pitt <martin.pitt@canonical.com>  Wed, 22 Dec 2004 10:51:59 +0100

debhelper (4.2.28ubuntu2) hoary; urgency=low

  * dh_builddeb:
    - call /usr/bin/debstriptranslations if present
    - document this in the POD section

 -- Martin Pitt <martin.pitt@canonical.com>  Mon, 20 Dec 2004 09:22:02 +0100

debhelper (4.2.28ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Matthias Klose <m@klose.in-berlin.de>  Wed, 15 Dec 2004 16:27:38 +0100

debhelper (4.2.28) unstable; urgency=low

  * dh_python: Add 2.4 to python_allversions. Closes: #285608

 -- Joey Hess <joeyh@debian.org>  Tue, 14 Dec 2004 13:08:56 -0500

debhelper (4.2.27) unstable; urgency=low

  * dh_desktop: Fix underescaping of *.desktop in call to find.
    Closes: #284832

 -- Joey Hess <joeyh@debian.org>  Thu,  9 Dec 2004 14:32:41 -0500

debhelper (4.2.26) unstable; urgency=low

  * dh_makeshlibs spanish translation update
  * Add example to dh_installdocs man page. Closes: #283857
  * Clarify dh_python's documentation of -V and error if the version is
    unknown. Closes: #282924

 -- Joey Hess <joeyh@debian.org>  Wed,  8 Dec 2004 14:44:44 -0500

debhelper (4.2.25ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Scott James Remnant <scott@canonical.com>  Wed, 01 Dec 2004 12:45:23 +0000

debhelper (4.2.25) unstable; urgency=low

  * dh_shlibdeps: Only set LD_LIBRARY_PATH when calling dpkg-shlibdeps.
    Closes: #283413

 -- Joey Hess <joeyh@debian.org>  Mon, 29 Nov 2004 13:21:05 -0500

debhelper (4.2.24ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@canonical.com>  Wed, 17 Nov 2004 17:30:35 +0000

debhelper (4.2.24) unstable; urgency=low

  * Spanish man page updates.
  * Improve the documentation of dh_makeshlibs behavior in v4 mode.
    Closes: #280676

 -- Joey Hess <joeyh@debian.org>  Sat, 30 Oct 2004 18:52:00 -0400

debhelper (4.2.23ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- LaMont Jones <lamont@canonical.com>  Thu, 11 Nov 2004 11:58:08 -0700

debhelper (4.2.23) unstable; urgency=low

  * Fix typo introduced last release. Closes: #278727

 -- Joey Hess <joeyh@debian.org>  Thu, 28 Oct 2004 20:51:05 -0400

debhelper (4.2.22) unstable; urgency=low

  * dh_desktop Spanish man page from Ruben Porras.
  * dh_desktop: reindent
  * dh_desktop: only register files in /usr/share/applications
    with update-desktop-database. Closes: #278353

 -- Joey Hess <joeyh@debian.org>  Sat, 16 Oct 2004 13:42:29 -0400

debhelper (4.2.21ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Scott James Remnant <scott@canonical.com>  Wed, 27 Oct 2004 12:23:29 +0100

debhelper (4.2.21) unstable; urgency=low

  * Add dh_desktop, from Ross Burton. Closes: #275454

 -- Joey Hess <joeyh@debian.org>  Tue, 12 Oct 2004 14:31:07 -0400

debhelper (4.2.20) unstable; urgency=HIGH

  * dpkg-cross is fixed in unstable, version the conflict. Closes: #265777

 -- Joey Hess <joeyh@debian.org>  Wed, 25 Aug 2004 08:05:42 -0400

debhelper (4.2.19) unstable; urgency=HIGH

  * Conflict with dpkg-cross since it breaks dh_strip.

 -- Joey Hess <joeyh@debian.org>  Fri, 13 Aug 2004 21:50:12 -0300

debhelper (4.2.18) unstable; urgency=low

  * Add dh_shlibdeps see also. Closes: #261367a
  * Update dh_gconf man page for new schema location. Closes: #264378a
  * debhelper.7 man page typo fix. Closes: #265603

 -- Joey Hess <joeyh@debian.org>  Fri, 13 Aug 2004 19:16:51 -0300

debhelper (4.2.17) unstable; urgency=low

  * Spanish man page updates from Ruben Porras. Closes: #261516

 -- Joey Hess <joeyh@debian.org>  Mon, 26 Jul 2004 21:41:37 -0400

debhelper (4.2.16) unstable; urgency=low

  * dh_gconf: fix glob escaping in find for schemas. Closes: #260488

 -- Joey Hess <joeyh@debian.org>  Tue, 20 Jul 2004 17:20:21 -0400

debhelper (4.2.15) unstable; urgency=low

  * dh_gconf: deal with problems if /etc/gconf/schemas doesn't exist any more
    (#258901)

 -- Joey Hess <joeyh@debian.org>  Mon, 12 Jul 2004 11:52:45 -0400

debhelper (4.2.14) unstable; urgency=low

  * Make dh_gconf postinst more portable.
  * Strip spoch when generating udeb filenames. Closes: #258864

 -- Joey Hess <joeyh@debian.org>  Sat, 10 Jul 2004 11:15:34 -0400

debhelper (4.2.13) unstable; urgency=low

  * Spanish man page updates from Ruben Porras. Closes: #247382
  * dh_gconf: gconf schemas moved to /usr/share/gconf/schemas. Relocate
    schemas from /etc/gconf/schemas. (Josselin Mouette)
  * dh_gconf: kill gconfd-2 so that the newly installed schemas
    are available straight away. (Josselin Mouette)
  * dh_gconf: fix bashism in restart of gconfd-2
  * dh_gconf: fix innaccuracy in man page; gconfd-2 is HUPPed, not
    killed.
  * dh_scrollkeeper: stop adding scrollkeeper to misc:Depends, since
    the postinst will not run it if it's not installed, and a single run after
    it's installed is sufficient to find all documents. Closes: #256745
  * dh_fixperms: make .ali files mode 444 to prevent recompilation by GNAT.
    For speed, only scan for .ali files in usr/lib/ada. Closes: #245211
  * dh_python: check to make sure compileall.py is available before running it
    in the postinst. Closes: #253112
  * dh_installmodules: install debian/package.modprobe into etc/modprobe.d/
    for module-init-tools. These files can sometimes need to differ from the
    etc/modutils/ files. Closes: #204336, #234495
  * dh_installmanpages is now deprecated.
  * Add a test case for bug #244157, and fixed the inverted ok() parameters
    in the others, and added a few new tests.
  * dh_link: applied GOTO Masanori's patch to fix conversion of existing

