## debhelper 4.2.32

=== debian/changelog ===
debhelper (4.2.32) unstable; urgency=low

  * Patch from Fabio Tranchitella to add support for #DEBHELPER# substitutions
    in config files, although nothing in debhelper itself uses such
    substitutions, third-party addons may. Closes: #301657
  * Factor out a debhelper_script_subst from dh_installdeb and
    dh_installdebconf.

 -- Joey Hess <joeyh@debian.org>  Sun, 27 Mar 2005 11:29:01 -0500

debhelper (4.2.31) unstable; urgency=low

  * Updated dh_installmime Spanish translation.
  * Spelling fix. Closes: #293158
  * Patch from Matthias to split out a package_arch and export it in Dh_Lib.
    Closes: #295383

 -- Joey Hess <joeyh@debian.org>  Wed, 16 Feb 2005 13:47:29 -0500

debhelper (4.2.30) unstable; urgency=low

  * dh_installmime: Patch from Loïc Minier to add support for instlaling
    "sharedmimeinfo" files and calling update-mime-database. Closes: #255719
  * Modified patch to not hardcode pathnames.
  * Modified other autoscripts so there are no hardcoded pathnames at all
    any more.

 -- Joey Hess <joeyh@debian.org>  Tue,  4 Jan 2005 18:44:11 -0500

debhelper (4.2.29) unstable; urgency=low

  * dh_installdocs Spanish manpage update
  * dh_installlogcheck: change permissions of logcheck rulefules from 600 to
    644, at request of logcheck maintainer. Closes: #288357
  * dh_installlogcheck: fix indentation

 -- Joey Hess <joeyh@debian.org>  Wed, 15 Dec 2004 08:53:37 -0500
