## debhelper 4.2.32.emdebian6

=== debian/changelog ===
debhelper (4.2.32.emdebian6) unstable; urgency=low

  * postrm-gconf fix

 -- Alexander Kanevskiy <alexander.kanevskiy@nokia.com>  Tue, 24 Oct 2006 18:53:20 +0300

debhelper (4.2.32.emdebian5) unstable; urgency=low

  * Backport fix for Debian bug 337664

 -- Alexander Kanevskiy <alexander.kanevskiy@nokia.com>  Mon, 23 Oct 2006 12:34:57 +0300

debhelper (4.2.32.emdebian4) unstable; urgency=low

  * gconf schemas location returned back to /etc/gconf/schemas 

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Fri, 20 Oct 2006 13:46:54 +0300

debhelper (4.2.32.emdebian3) unstable; urgency=low

  * dh_installmanpages emdebian patch: use proper regexp delimiter 

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Fri, 28 Apr 2006 18:13:06 +0300

debhelper (4.2.32.emdebian2) unstable; urgency=low

  * Use require in Dh_Lib instead of do. Require debian-dir 0.0.3 for it 

 -- Yauheni Kaliuta <y.kaliuta@gmail.com>  Thu, 13 Apr 2006 14:06:03 +0300

debhelper (4.2.32.emdebian1) unstable; urgency=low

  * Emdebianized

 -- Yauheni Kaliuta <y.kaliuta@gmail.com>  Thu, 13 Apr 2006 13:40:21 +0300
