=== debian/rules ===
--- 
+++ 
@@ -40,9 +40,10 @@
 PERLLIBDIR=$(shell perl -MConfig -e 'print $$Config{vendorlib}')
 
 POD2MAN=pod2man -c Debhelper -r "$(VERSION)"
+include /usr/share/dpatch/dpatch.make
 
 build: test build-stamp
-build-stamp:
+build-stamp: patch-stamp
 	# Build all the man pages.
 	find . -type f -perm +100 -maxdepth 1 -name "dh_*" \
 		-exec $(POD2MAN) {} {}.1 \;
@@ -64,7 +65,7 @@
 		Debian/Debhelper/Dh_Version.pm
 	touch build-stamp
 
-clean:
+clean:	unpatch
 	./dh_testdir
 	./dh_testroot
 	./dh_clean *.1 *.7 *-stamp Debian/Debhelper/Dh_Version.pm
