## debhelper 4.9.5ubuntu1

=== debian/changelog ===
debhelper (4.9.5ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Matthias Klose <doko@ubuntu.com>  Tue,  9 Aug 2005 11:24:26 +0000

debhelper (4.9.5) unstable; urgency=low

  * dh_install: in v5 mode, error out if there are wildcards in the file
    list and the wildcards expand to nothing. Done only for v5 as this is a
    behavior change. Closes: #249815
  * dh_usrlocal: generate prerm scripts that do not remove distroties in
    /usr/local, but only subdirectories thereof, in accordance with policy.
    Closes: #319181

 -- Joey Hess <joeyh@debian.org>  Wed, 20 Jul 2005 10:08:05 -0400

debhelper (4.9.4) unstable; urgency=low

  * dh_clean: switch to using complex_doit for the evil find command
    and quoting everything explicitly rather than the doit approach used
    before. This way all uses of EXCLUDE_FIND will use complex_doit, which
    is necesary for sanity.
  * Dh_Lib: Make COMPLEX_DOIT properly escape wildcards for use with
    complex_doit. Before they were unescaped, which could lead to subtle
    breakage.

 -- Joey Hess <joeyh@debian.org>  Tue, 19 Jul 2005 12:47:30 -0400

debhelper (4.9.3ubuntu2) breezy; urgency=low

  * dh_installxfonts: Update X11 font path.  (closes: Ubuntu#12274)
  * Apply the same change to dh_compress, and remove crackful special-case
    that forced stuff to /usr/X11R6 in dh_installman.  Change /usr/X11R6/bin
    to /usr/bin/X11 in dh_installwm.  (Daniel Stone)

 -- Martin Kretzschmar <m_kretzschmar@gmx.net>  Wed, 29 Jun 2005 17:43:11 +0200

debhelper (4.9.3ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.
  * added "file" to build-depends

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed,  6 Jul 2005 16:08:23 +0200

debhelper (4.2.33ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Scott James Remnant <scott@ubuntu.com>  Fri, 15 Apr 2005 12:46:01 +0100

debhelper (4.9.3) unstable; urgency=high

  * Fix typo in postrm-modules fragment. Closes: #316069
    Recommend any dh_installmodules users rebuild ASAP.

 -- Joey Hess <joeyh@debian.org>  Tue, 28 Jun 2005 17:41:51 -0400

debhelper (4.9.2) unstable; urgency=low

  * Fix typo in dh_install example. Closes: #314964
  * Fix deprecation message. Closes: #315517

 -- Joey Hess <joeyh@debian.org>  Mon, 20 Jun 2005 16:17:05 -0400

debhelper (4.9.1) unstable; urgency=low

  * Fix typo in dh_strip.

 -- Joey Hess <joeyh@debian.org>  Mon, 13 Jun 2005 20:32:12 -0400

debhelper (4.9.0) unstable; urgency=low

  * Begin work on compatability level 5. The set of changes in this mode is
    still being determined, and will be until debhelper version 5.0 is 
    released, so use at your own risk.
  * dh_strip: In v5, make --dbg-package specify a single debugging package
    that gets the debugging symbols from the other packages acted on.
    Closes: #230588
  * In v5, ignore comments in config files. Only comments at the start of
    lines are ignored. Closes: #206422
  * In v5, also ignore empty lines in config files. Closes: #212162
  * In v5, empty files are skipped by dh_installdocs.
  * Use v5 to build debhelper.
  * Add deprecation warnings for debhelper v1 and v2.
  * Document getpackages in PROGRAMMING.
  * Add another test-case for dh_link.
  * dh_python: Minimal fix from Joss for -V to make it search the right
    site-packages directories. Closes: #312661
  * Make compat() cache the expensive bits, since we run it more and more,
    including twice per config file line now..
  * Add a "run" program to source tree to make local testing easier
    and simplfy the rules file.
  * Man page typo fixes. Closes: #305806, #305816
  * dh_installmenu: menus moved to /usr/share/menu. Closes: #228618
    Anyone with a binary executable menu file is SOL but there are none in
    debian currently.
  * Removed old versioned build deps for stuff that shipped in sarge or
    earlier, mostly to shut up linda and lintian's stupid messages.

 -- Joey Hess <joeyh@debian.org>  Thu,  9 Jun 2005 10:01:20 -0400

debhelper (4.2.36) unstable; urgency=low

  * Spanish translation update for dh_installdebconf(1).
  * YA man page typo fix. Closes: #308182

 -- Joey Hess <joeyh@debian.org>  Sun,  8 May 2005 13:02:22 -0400

debhelper (4.2.35) unstable; urgency=low

  * Man page typo fixes. Closes: #305809, #305804, #305815, #305810
    Closes: #305812, #305814, #305819, #305818, #305817, #305822

 -- Joey Hess <joeyh@debian.org>  Fri, 22 Apr 2005 11:27:55 -0400

debhelper (4.2.34) unstable; urgency=low

  * The infinite number of monkeys release.
  * dh_md5sums: don't crash if PWD contains an apostrophe. Closes: #305226

 -- Joey Hess <joeyh@debian.org>  Wed, 20 Apr 2005 21:06:43 -0400

debhelper (4.2.33) unstable; urgency=low

  * Update Spanish translation of dh_clean man page. Closes: #303052
  * dh_installmodules autoscripts: Now that return code 3 is allocated by
    update-modules to indicate /etc/modules.conf is not automatically
    generated, we can ignore that return code since it's not a condition that
    should fail an installation. Closes: #165400
  * dh_md5sums: Fix exclusion of conffiles. Thanks, Damir Dzeko
    (note: this was broken in version 4.1.22)

 -- Joey Hess <joeyh@debian.org>  Sat,  9 Apr 2005 17:27:12 -0400
