=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: devel
 Priority: optional
 Maintainer: Joey Hess <joeyh@debian.org>
-Build-Depends: perl (>= 5.6.1), coreutils | fileutils (>= 4.0-2.1), file (>= 3.23-1), dpkg-dev (>= 1.9.0), debian-dir (>= 0.0.3)
-Standards-Version: 3.6.1.0
+Build-Depends: file
+Standards-Version: 3.6.2
 
 Package: debhelper
 Architecture: all
